@page
@model WebApp.Pages_Cars.IndexModel

@{
    ViewData["Title"] = "Cars";
}

<h1>Cars</h1>

<p>
    <a asp-page="Create">Add New</a>
</p>
<table class="table">
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Car[0].Model!.Brand)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Car[0].Model)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Car[0].RegistrationNumber)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Car[0].ManufactureYear)
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.Car)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Model!.Brand!.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Model!.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RegistrationNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ManufactureYear)
            </td>
            <td>
                <a asp-page="./Edit" asp-route-id="@item.CarId">Edit</a> |
                <a asp-page="./Delete" asp-route-id="@item.CarId">Delete</a>
            </td>
        </tr>
    }
    </tbody>
</table>